%define module 	XML-Driver-HTML
%define version 0.06
%define release 4mdk

Summary:	SAX Driver for non wellformed HTML
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL	
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 2:5.8.0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArchitectures: noarch

%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need
for the HTML input to be weel formed, as XML::Driver::HTML
is generating its SAX events by walking a HTML::TreeBuilder object.
The simplest kind of use, is a filter from HTML to XHTML
using XML::Handler::YAWriter as a SAX Handler.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{perl_archlib}
%makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST 
%{perl_vendorlib}/XML/Driver/HTML.pm
%_mandir/man1/html2xhtml.*
%_mandir/man3/XML::Driver::HTML.*
%_bindir/html2xhtml


%changelog
* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-4mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.06-3mdk
- Clean out Requires
- Use %%make
- Macroize
- Removal local detection of the archlib
- Use perl macros so it'll build across perl versions
- perllocal.pod
- URL
- Correct license, it's GPLed.

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.06-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.06-1mdk
- 0.06.

* Fri Jul 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-2mdk
- rebuild for new perl
- add a real description
- big, big spec cleanup
- this should be noarch

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.05-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 0.05
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-1mdk
- First Mandrake Release



